> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rag.now/llms.txt
> Use this file to discover all available pages before exploring further.

# check oauth secret id exists

> Poll this endpoint to check if an OAuth secret ID exists for a given source type. Should return true when the user has given concent using the concent URL from /initiate-oauth.



## OpenAPI

````yaml get /api/connect/oauth-secret-id-exists
openapi: 3.0.3
info:
  title: Graphite API Documentation
  description: API documentation for Graphite
  version: 1.0.0
servers: []
security: []
paths:
  /api/connect/oauth-secret-id-exists:
    get:
      tags:
        - graphite-connect
      summary: check oauth secret id exists
      description: >-
        Poll this endpoint to check if an OAuth secret ID exists for a given
        source type. Should return true when the user has given concent using
        the concent URL from /initiate-oauth.
      parameters:
        - schema:
            type: string
            enum:
              - zendesk_support
              - notion
              - confluence
              - shopify
              - gitbook
          in: query
          name: source_type
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OauthSecretIdExistsResponse'
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    OauthSecretIdExistsResponse:
      type: object
      properties:
        exists:
          type: boolean
      required:
        - exists
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
      required:
        - error
        - message

````